Tryton - Issues

 

Issue7489

Title Execute stock move on closed period
Priority bug Status resolved
Superseder Nosy List ced, perilla, reviewbot, roundup-bot
Type behavior Components stock
Assigned To ced Keywords review
Reviews 45721002
View: 45721002

Created on 2018-06-01.19:11:59 by perilla, last changed by roundup-bot.

Messages
New changeset 4c6ebab834c0 by Cédric Krier in branch '4.8':
Prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/4c6ebab834c0

New changeset b5eb5d672cc9 by Cédric Krier in branch '4.6':
Prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/b5eb5d672cc9

New changeset b866f8893ddd by Cédric Krier in branch '4.4':
Prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/b866f8893ddd

New changeset c7d6e28e3bb4 by Cédric Krier in branch '4.2':
Prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/c7d6e28e3bb4

New changeset 704ed1980bb0 by Cédric Krier in branch '4.0':
Prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/704ed1980bb0
New changeset fd6c0449ec69 by Cédric Krier in branch 'default':
Prevent create move at the closed period date
https://hg.tryton.org/tryton-env/rev/fd6c0449ec69
New changeset 212f22c72a0e by Cédric Krier in branch 'default':
Prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/212f22c72a0e

New changeset 071b9d3d4297 by Cédric Krier in branch 'default':
Add test to prevent create move at the closed period date
https://hg.tryton.org/modules/stock/rev/071b9d3d4297
review45721002 updated at https://codereview.tryton.org/45721002/#ps1
msg43897 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-09-15.18:41:19
Here is review45721002 which implement the requested tests.
New review42221002 at https://codereview.tryton.org/42221002/#ps1
msg41180 (view) Author: [hidden] (perilla) Date: 2018-06-01.19:14:16
When I have a closed stock period, I can create
a move a validate if move.planned date == stock_period.date

I think that check_period_closed function should test <= stock_period.date
instead < stock_period.date
History
Date User Action Args
2018-10-02 13:08:02roundup-botsetmessages: + msg44268
2018-09-17 17:49:12roundup-botsetmessages: + msg43919
2018-09-17 17:49:00roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg43918
2018-09-15 18:51:15reviewbotsetmessages: + msg43898
2018-09-15 18:41:19cedsetstatus: chatting -> testing
nosy: + ced
messages: + msg43897
reviews: 42221002 -> 45721002
assignedto: ced
type: behavior
2018-06-01 19:48:35reviewbotsetnosy: + reviewbot
messages: + msg41181
2018-06-01 19:48:35reviewbotsetreviews: 42221002
keyword: + review
2018-06-01 19:14:17perillasetstatus: unread -> chatting
nosy: + perilla
messages: + msg41180
2018-06-01 19:11:59perillacreate

Showing 10 items. Show all history (warning: this could be VERY long)